## w-scan-cpp 0~20220105

=== Makefile ===
#/******************************************************************************
# * w_scan_cpp - a dtv channel scanner based on VDR (www.tvdr.de) and it's
# * Plugins.
# *
# * See the README file for copyright information and how to reach the author.
# *****************************************************************************/
BINARY = w_scan_cpp

WIRBELSCAN_VERSION = wirbelscan-2022.01.05

# original git repo seems to be stale.
#SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip

SATIP_GIT_ADDR = https://github.com/wirbel-at-vdr-portal/vdr-plugin-satip.git



#/******************************************************************************
# * if you are still running a distro, not beeing able to use all valid
# * standard ASCII Characters (32-126) for package names, and prefer to modify
# * packages instead of fixing your broken distro, you may overwrite the
# * package_name here.
# *****************************************************************************/
package_name ?= $(BINARY)



#/******************************************************************************
# * dependencies, add variables here, and checks in target check_dependencies
# *****************************************************************************/
LIBJPEG=libjpeg
FREETYPE2=freetype2
FONTCONFIG=fontconfig
LIBPUGIXML=pugixml
LIBREPFUNC=librepfunc
LIBREPFUNC_MINVERSION=1.1.0

# /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
HAVE_LIBJPEG              =$(shell if pkg-config --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
HAVE_FREETYPE2            =$(shell if pkg-config --exists                                   $(FREETYPE2);  then echo "1"; else echo "0"; fi )
HAVE_FONTCONFIG           =$(shell if pkg-config --exists                                   $(FONTCONFIG); then echo "1"; else echo "0"; fi )
HAVE_LIBPUGIXML           =$(shell if pkg-config --exists                                   $(LIBPUGIXML); then echo "1"; else echo "0"; fi )
HAVE_LIBREPFUNC           =$(shell if pkg-config --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
HAVE_LIBREPFUNC_MINVERSION=$(shell if pkg-config --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )


#/******************************************************************************
# * if you prefer verbose non-coloured build messages, remove the '@' here:
# *****************************************************************************/
CC  = @gcc
CXX = @g++


CFLAGS    = -g -O3 -fPIC -Werror=overloaded-virtual
CXXFLAGS  = -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wno-unused-parameter -Wfatal-errors



#/******************************************************************************
# * programs, override if on different paths.
# *****************************************************************************/
CD              ?= cd
CP              ?= cp
CHMOD           ?= chmod
GIT             ?= git
INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 755
INSTALL_DATA    ?= $(INSTALL) -m 644
LN              ?= ln
MAKE            ?= make
MKDIR           ?= mkdir
MKDIR_P         ?= ${MKDIR} -p
PKG_CONFIG      ?= pkg-config
RM              ?= rm
SED             ?= sed
SHELL            = /bin/sh
STRIP           ?= strip
TAR             ?= tar
WGET            ?= wget



#/******************************************************************************
# * directories:
# * HINT: http://115.28.130.42/make/Makefile-Conventions.html
# *****************************************************************************/
tmpdir ?= /tmp

#------------------------
# A prefix used in constructing the default values of the variables listed below.
# You may want (or not..) to change/override this to /usr .
prefix ?= /usr/local

#------------------------
# used for directories that contain machine-specific files, such as executables
# and subroutine libraries), while $(prefix) is used directly for other.
# directories. 
exec_prefix ?= $(prefix)

#------------------------
# directory for installing executable programs that users can run.
bindir = $(exec_prefix)/bin

#------------------------
# directory for installing executable programs that can be run from the shell,
# but are only generally useful to system administrators.
sbindir = $(exec_prefix)/sbin

#------------------------
# directory for installing executable programs to be run by other programs
# rather than by users.
libexecdir = $(exec_prefix)/libexec

#------------------------
# root of the directory tree for read-only architecture-independent data files
# datadir's default value is based on this variable; so are infodir, mandir,
# and others. 
datarootdir = $(prefix)/share

#------------------------
# directory for installing idiosyncratic read-only architecture-independent
# data files for this program. This is usually the same place as 'datarootdir',
# but we use the two separate variables so that you can move these program-
# specific files without altering the location for Info files, man pages, etc.
# ->  Most packages install their data under $(datadir)/package-name/.
datadir = $(datarootdir)

#------------------------
# read-only data files that pertain to a single machine
sysconfdir = $(prefix)/etc

#------------------------
# directory for installing header files to be included by user programs with
# the #include (..) preprocessor directive
includedir = $(prefix)/include

#------------------------
# architecture-independent data files which the programs modify while they run
sharedstatedir = $(prefix)/com

#------------------------
# data files which the programs modify while they run
localstatedir  = $(prefix)/var

#------------------------
# documentation files (other than Info)
docdir = $(datarootdir)/doc/$(package_name)

#------------------------
# the Info files for this package
infodir = $(datarootdir)/info

#------------------------
# object files and libraries of object code. No executables.
libdir = $(exec_prefix)/lib

#------------------------
# locale-specific message catalogs for this package
localedir = $(datarootdir)/locale

#------------------------
# Unix-style man pages 
mandir = $(datarootdir)/man
man1dir = $(mandir)/man1
man2dir = $(mandir)/man2
man3dir = $(mandir)/man3
man4dir = $(mandir)/man4
man5dir = $(mandir)/man5

#------------------------
# no build outside of sources yet. Sorry.
# would be something like:
#      mkdir ./build && cd build && make -j8 install
# -> Anyone..?
srcdir = $(shell pwd)


#------------------------
vdrdir = $(srcdir)/vdr
vdrlibsidir =$(vdrdir)/libsi
pluginsrcdir = $(vdrdir)/PLUGINS/src
pluginlibdir = $(vdrdir)/PLUGINS/lib

WIRBELSCAN_TARBALL = vdr-$(WIRBELSCAN_VERSION).tgz
WIRBELSCAN_DL_ADDR = https://www.gen2vdr.de/wirbel/wirbelscan/$(WIRBELSCAN_TARBALL)







#/******************************************************************************
# * targets starting from here:
# *****************************************************************************/

APIVERSION   = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(vdrdir)/config.h)
DEFINES   = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DPLUGIN_NAME_I18N='"cmd"'
DEFINES  += -DAPIVERSION='"$(APIVERSION)"'
DEFINES  += -DSTATIC_PLUGINS
LIBS      = -ljpeg -lpthread -lcap -ldl -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
LIBS     += $(shell curl-config --libs)
LIBS     += $(shell pkg-config --libs-only-l $(LIBPUGIXML))
LIBS     += $(shell pkg-config --libs-only-l $(LIBREPFUNC))
INCLUDES  = -I$(srcdir)
INCLUDES += -I$(vdrdir)
INCLUDES += -I$(pluginsrcdir)
INCLUDES += $(shell pkg-config --cflags-only-I $(LIBJPEG))
INCLUDES += $(shell pkg-config --cflags-only-I $(LIBPUGIXML))
INCLUDES += $(shell pkg-config --cflags-only-I $(LIBREPFUNC))
INCLUDES += $(shell $(PKG_CONFIG) --cflags freetype2 fontconfig)
LDFLAGS  ?= -L$(srcdir) -L$(vdrdir) -L$(vdrlibsidir)
LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBJPEG))
LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBPUGIXML))
LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBREPFUNC))



SOURCES           := $(wildcard $(srcdir)/*.cpp)
VDR_SOURCES       := $(shell find $(vdrdir)  -maxdepth 1 ! -name "vdr.c" -name "*.c" 2>/dev/null)
LIBSI_SOURCES     := $(wildcard $(vdrlibsidir)/*.c)
WIRBELSCAN_SOURCES = $(wildcard $(pluginsrcdir)/wirbelscan/*.cpp)
SATIP_SOURCES      = $(wildcard $(pluginsrcdir)/satip/*.c)



OBJS            = $(SOURCES:.cpp=.o)
VDR_OBJS        = $(VDR_SOURCES:.c=.o)
LIBSI_OBJS      = $(LIBSI_SOURCES:.c=.o)
WIRBELSCAN_OBJS = $(WIRBELSCAN_SOURCES:.cpp=.o)
SATIP_OBJS      = $(SATIP_SOURCES:.c=.o)


VERSION = $(shell date +%Y%m%d)
PACKAGE = $(package_name)-$(VERSION)
MACHINE = $(shell uname -m )









#/******************************************************************************
# * color definitions, RST=reset, CY=cyan, MG=magenta, BL=blue, (..)
# *****************************************************************************/
RST=\e[0m
CY=\e[1;36m
MG=\e[1;35m
BL=\e[1;34m
YE=\e[1;33m
RD=\e[1;31m
GN=\e[1;32m




#/******************************************************************************
# * targets starting from here:
# *****************************************************************************/

%.o: %.c
ifeq ($(CXX),@g++)
	@echo -e "${CY} CXX $@${RST}"
endif
	$(CXX) $(CFLAGS) -Wno-parentheses -Wno-unused-parameter -c $(DEFINES) $(INCLUDES) -o $@ $<

%.o: %.cpp
ifeq ($(CXX),@g++)
	@echo -e "${BL} CXX $@${RST}"
endif
	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DDISABLE_TEMPLATES_COLLIDING_WITH_STL $(INCLUDES) -o $@ $<

all: check_dependencies $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS)
ifeq ($(CXX),@g++)
	@echo -e "${GN} LINK $(BINARY)${RST}"
endif
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS) $(LIBS) -o $(BINARY)

install: all
	$(MKDIR_P) $(DESTDIR)$(bindir)
	$(MKDIR_P) $(DESTDIR)$(docdir)
	$(MKDIR_P) $(DESTDIR)$(man1dir)
	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) COPYING HISTORY README $(DESTDIR)$(docdir)
	$(INSTALL_DATA) doc/w_scan_cpp.1 $(DESTDIR)$(man1dir)

uninstall:
	$(RM) -f $(DESTDIR)$(bindir)/$(BINARY)
	$(RM) -rf $(DESTDIR)$(docdir)
	$(RM) -f $(DESTDIR)$(man1dir)/w_scan_cpp.1

.PHONY: download check_dependencies
download: $(vdrdir) $(pluginsrcdir)/satip $(pluginsrcdir)/wirbelscan

$(vdrdir):
	$(GIT) clone git://git.tvdr.de/vdr.git
	@$(RM) -rf $(vdrdir)/.git
	$(MKDIR_P) $(pluginsrcdir)
	$(MKDIR_P) $(pluginlibdir)

$(pluginsrcdir)/satip.git:
	$(CD) $(pluginsrcdir) && $(GIT) clone $(SATIP_GIT_ADDR)
	$(CD) $(pluginsrcdir) && $(LN) -sf vdr-plugin-satip satip

$(pluginsrcdir)/satip: $(pluginsrcdir)/satip.git

$(pluginsrcdir)/wirbelscan:
	$(CD) $(pluginsrcdir) && $(WGET) $(WIRBELSCAN_DL_ADDR)
	$(CD) $(pluginsrcdir) && $(TAR) xf $(WIRBELSCAN_TARBALL) && $(RM) -f $(WIRBELSCAN_TARBALL)
	$(CD) $(pluginsrcdir) && $(LN) -s $(WIRBELSCAN_VERSION) wirbelscan


.PHONY: clean mrproper Version.h
clean:
	@$(RM) -f $(LIBSI_OBJS) $(VDR_OBJS) $(OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(BINARY)
	@$(RM) -rf $(vdrdir)/.git
	@$(RM) -rf $(pluginsrcdir)/vdr-plugin-satip/.git
	@$(RM) -rf MakeHeader.bin

mrproper: clean
	@$(RM) -r $(vdrdir)

Version.h:
	@echo "#pragma once" > Version.h
	@echo "#include <string>" >> Version.h
	@echo "/* AUTOMATICALLY GENERATED - DO NOT EDIT MANUALLY */" >> Version.h
	@echo "" >> Version.h
	@echo "const std::string version = \"$(VERSION)\";" >> Version.h
	@$(CHMOD) a-x Version.h

version: Version.h

dist: Version.h mrproper
	@-$(RM) -rf $(tmpdir)/$(PACKAGE)
	@$(MKDIR_P) $(tmpdir)/$(PACKAGE)
	@$(CP) -a * $(tmpdir)/$(PACKAGE)
	@$(TAR) cfj $(PACKAGE).tar.bz2 -C $(tmpdir) $(PACKAGE)
	@-$(RM) -rf $(tmpdir)/$(PACKAGE)
	@echo Distribution package created as $(PACKAGE).tar.bz2

dist-download: clean
	@$(TAR) cfj third_party_$(VERSION).tar.bz2 ./vdr
	@echo third party package created as third_party_$(VERSION).tar.bz2

=== debian/changelog ===
w-scan-cpp (0~20220105-1) unstable; urgency=medium

  * Initial release. (Closes: #1023169)

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Dec 2022 22:33:03 +0100

=== debian/control ===
Source: w-scan-cpp
Section: video
Priority: optional
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13),
               libcap-dev,
               libcurl4-openssl-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libpugixml-dev,
               librepfunc-dev (>= 1.6.2~),
               linux-libc-dev,
               pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
Vcs-Git: https://salsa.debian.org/bastif/w-scan-cpp.git
Vcs-Browser: https://salsa.debian.org/bastif/w-scan-cpp

Package: w-scan-cpp
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DVB channel scanner (successor of w_scan)
 This is w_scan_cpp - a dtv channel scanner based on VDR (www.tvdr.de)
 and its Plugins.
 .
 w_scan_cpp supports
 .
    DVB-T(2), DVB-C, DVB-S(2), ATSC(VSB && QAM)
    SAT>IP
    SCR ("Unicable") EN-50494 & EN-50607 (aka. "JESS")
    DiSEqC switches
    DiSEqC rotors (Standard & USALS)
    various output formats
        VDR channels.conf
        VLC channels.xspf
        dtv scan tables for dvbv5-scan
        channels.dat for the SAT>IP "DVB Viewer Lite for Windows"
        (..)
 .
 Some features are more recent than those of w_scan, other outdated features
 were not ported.

## w-scan-cpp 0~20230121

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2022.01.05
+WIRBELSCAN_VERSION = wirbelscan-2023.01.21
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip
@@ -26,7 +26,7 @@
 
 
 #/******************************************************************************
-# * dependencies, add variables here, and checks in target check_dependencies
+# * dependencies, add variables here, and checks in target .dependencies
 # *****************************************************************************/
 LIBJPEG=libjpeg
 FREETYPE2=freetype2
@@ -36,12 +36,12 @@
 LIBREPFUNC_MINVERSION=1.1.0
 
 # /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
-HAVE_LIBJPEG              =$(shell if pkg-config --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
-HAVE_FREETYPE2            =$(shell if pkg-config --exists                                   $(FREETYPE2);  then echo "1"; else echo "0"; fi )
-HAVE_FONTCONFIG           =$(shell if pkg-config --exists                                   $(FONTCONFIG); then echo "1"; else echo "0"; fi )
-HAVE_LIBPUGIXML           =$(shell if pkg-config --exists                                   $(LIBPUGIXML); then echo "1"; else echo "0"; fi )
-HAVE_LIBREPFUNC           =$(shell if pkg-config --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
-HAVE_LIBREPFUNC_MINVERSION=$(shell if pkg-config --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
+HAVE_LIBJPEG              =$(shell if $(PKG_CONFIG) --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )
+HAVE_FREETYPE2            =$(shell if $(PKG_CONFIG) --exists                                   $(FREETYPE2);  then echo "1"; else echo "0"; fi )
+HAVE_FONTCONFIG           =$(shell if $(PKG_CONFIG) --exists                                   $(FONTCONFIG); then echo "1"; else echo "0"; fi )
+HAVE_LIBPUGIXML           =$(shell if $(PKG_CONFIG) --exists                                   $(LIBPUGIXML); then echo "1"; else echo "0"; fi )
+HAVE_LIBREPFUNC           =$(shell if $(PKG_CONFIG) --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
+HAVE_LIBREPFUNC_MINVERSION=$(shell if $(PKG_CONFIG) --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
 
 
 #/******************************************************************************
@@ -51,8 +51,8 @@
 CXX = @g++
 
 
-CFLAGS    = -g -O3 -fPIC -Werror=overloaded-virtual
-CXXFLAGS  = -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wno-unused-parameter -Wfatal-errors
+CFLAGS   += -g -O3 -fPIC -Werror=overloaded-virtual
+CXXFLAGS += -g -O3 -fPIC -Wall -Wextra -Werror=overloaded-virtual -Wno-unused-parameter -Wfatal-errors
 
 
 
@@ -198,29 +198,29 @@
 DEFINES   = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DPLUGIN_NAME_I18N='"cmd"'
 DEFINES  += -DAPIVERSION='"$(APIVERSION)"'
 DEFINES  += -DSTATIC_PLUGINS
-LIBS      = -ljpeg -lpthread -lcap -ldl -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
+LIBS      = -ljpeg -pthread -lcap -ldl -lrt $(shell $(PKG_CONFIG) --libs freetype2 fontconfig)
 LIBS     += $(shell curl-config --libs)
-LIBS     += $(shell pkg-config --libs-only-l $(LIBPUGIXML))
-LIBS     += $(shell pkg-config --libs-only-l $(LIBREPFUNC))
+LIBS     += $(shell $(PKG_CONFIG) --libs-only-l $(LIBPUGIXML))
+LIBS     += $(shell $(PKG_CONFIG) --libs-only-l $(LIBREPFUNC))
 INCLUDES  = -I$(srcdir)
 INCLUDES += -I$(vdrdir)
 INCLUDES += -I$(pluginsrcdir)
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBJPEG))
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBPUGIXML))
-INCLUDES += $(shell pkg-config --cflags-only-I $(LIBREPFUNC))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBJPEG))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBPUGIXML))
+INCLUDES += $(shell $(PKG_CONFIG) --cflags-only-I $(LIBREPFUNC))
 INCLUDES += $(shell $(PKG_CONFIG) --cflags freetype2 fontconfig)
-LDFLAGS  ?= -L$(srcdir) -L$(vdrdir) -L$(vdrlibsidir)
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBJPEG))
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBPUGIXML))
-LDFLAGS  += $(shell pkg-config --libs-only-L $(LIBREPFUNC))
-
-
-
-SOURCES           := $(wildcard $(srcdir)/*.cpp)
-VDR_SOURCES       := $(shell find $(vdrdir)  -maxdepth 1 ! -name "vdr.c" -name "*.c" 2>/dev/null)
-LIBSI_SOURCES     := $(wildcard $(vdrlibsidir)/*.c)
-WIRBELSCAN_SOURCES = $(wildcard $(pluginsrcdir)/wirbelscan/*.cpp)
-SATIP_SOURCES      = $(wildcard $(pluginsrcdir)/satip/*.c)
+LDFLAGS  += -L$(srcdir) -L$(vdrdir) -L$(vdrlibsidir)
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBJPEG))
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBPUGIXML))
+LDFLAGS  += $(shell $(PKG_CONFIG) --libs-only-L $(LIBREPFUNC))
+
+
+
+SOURCES           := $(sort $(wildcard $(srcdir)/*.cpp))
+VDR_SOURCES       := $(shell find $(vdrdir)  -maxdepth 1 ! -name "vdr.c" -name "*.c" 2>/dev/null | LC_ALL=C sort)
+LIBSI_SOURCES     := $(sort $(wildcard $(vdrlibsidir)/*.c))
+WIRBELSCAN_SOURCES = $(sort $(wildcard $(pluginsrcdir)/wirbelscan/*.cpp))
+SATIP_SOURCES      = $(sort $(wildcard $(pluginsrcdir)/satip/*.c))
 
 
 
@@ -265,26 +265,26 @@
 ifeq ($(CXX),@g++)
 	@echo -e "${CY} CXX $@${RST}"
 endif
-	$(CXX) $(CFLAGS) -Wno-parentheses -Wno-unused-parameter -c $(DEFINES) $(INCLUDES) -o $@ $<
+	$(CXX) $(CFLAGS) $(CPPFLAGS) -Wno-parentheses -Wno-unused-parameter -c $(DEFINES) $(INCLUDES) -o $@ $<
 
 %.o: %.cpp
 ifeq ($(CXX),@g++)
 	@echo -e "${BL} CXX $@${RST}"
 endif
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DDISABLE_TEMPLATES_COLLIDING_WITH_STL $(INCLUDES) -o $@ $<
-
-all: check_dependencies $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS)
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<
+
+$(BINARY): .dependencies $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS)
 ifeq ($(CXX),@g++)
 	@echo -e "${GN} LINK $(BINARY)${RST}"
 endif
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS) $(LIBS) -o $(BINARY)
-
-install: all
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) $(LIBSI_OBJS) $(VDR_OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(OBJS) $(LIBS) -o $(BINARY)
+
+install: $(BINARY)
 	$(MKDIR_P) $(DESTDIR)$(bindir)
 	$(MKDIR_P) $(DESTDIR)$(docdir)
 	$(MKDIR_P) $(DESTDIR)$(man1dir)
 	$(INSTALL_PROGRAM) $(BINARY) $(DESTDIR)$(bindir)
-	$(INSTALL_DATA) COPYING HISTORY README $(DESTDIR)$(docdir)
+	$(INSTALL_DATA) CONTRIBUTORS COPYING HISTORY README $(DESTDIR)$(docdir)
 	$(INSTALL_DATA) doc/w_scan_cpp.1 $(DESTDIR)$(man1dir)
 
 uninstall:
@@ -292,7 +292,7 @@
 	$(RM) -rf $(DESTDIR)$(docdir)
 	$(RM) -f $(DESTDIR)$(man1dir)/w_scan_cpp.1
 
-.PHONY: download check_dependencies
+.PHONY: download
 download: $(vdrdir) $(pluginsrcdir)/satip $(pluginsrcdir)/wirbelscan
 
 $(vdrdir):
@@ -315,7 +315,7 @@
 
 .PHONY: clean mrproper Version.h
 clean:
-	@$(RM) -f $(LIBSI_OBJS) $(VDR_OBJS) $(OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(BINARY)
+	@$(RM) -f $(LIBSI_OBJS) $(VDR_OBJS) $(OBJS) $(WIRBELSCAN_OBJS) $(SATIP_OBJS) $(BINARY) .dependencies
 	@$(RM) -rf $(vdrdir)/.git
 	@$(RM) -rf $(pluginsrcdir)/vdr-plugin-satip/.git
 	@$(RM) -rf MakeHeader.bin
@@ -342,6 +342,3 @@
 	@echo Distribution package created as $(PACKAGE).tar.bz2
 
 dist-download: clean
-	@$(TAR) cfj third_party_$(VERSION).tar.bz2 ./vdr
-	@echo third party package created as third_party_$(VERSION).tar.bz2
-

=== PLUGINS/src/servicedemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN1 = svccli
PLUGIN2 = svcsvr

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN1).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = svcintf-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN1).o $(PLUGIN2).o

### The main target:

all: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

libvdr-$(PLUGIN1).so: $(PLUGIN1).o
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN1).o -o $@

libvdr-$(PLUGIN2).so: $(PLUGIN2).o
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(PLUGIN2).o -o $@

install-lib: libvdr-$(PLUGIN1).so libvdr-$(PLUGIN2).so
	install -D libvdr-$(PLUGIN1).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN1).so.$(APIVERSION)
	install -D libvdr-$(PLUGIN2).so $(DESTDIR)$(LIBDIR)/libvdr-$(PLUGIN2).so.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== PLUGINS/src/wirbelscan-2023.01.21/Makefile ===
#
# IMPORTANT NOTICE:
# !! This Makefile is no longer in use by me and i consider it obsolete.
# !! It *may* or *may not* build/install this plugin.
#
 

#/******************************************************************************
# * if you prefer verbose non-coloured build messages, remove the '@' here:
# *****************************************************************************/
CC  = @gcc
CXX = @g++

          
PWD = $(shell pwd)
PLUGIN = $(shell basename $(PWD) | cut -d- -f1)
CPPSRC = $(wildcard *.cpp)
OBJS   = $(CPPSRC:%.cpp=%.o)
LDFLAGS?=

#/******************************************************************************
# * dependencies, add variables here, and checks in target check_dependencies
# *****************************************************************************/
LIBREPFUNC=librepfunc
LIBREPFUNC_MINVERSION=1.0.0


# /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
HAVE_LIBREPFUNC           =$(shell if pkg-config --exists                                   $(LIBREPFUNC); then echo "1"; else echo "0"; fi )
HAVE_LIBREPFUNC_MINVERSION=$(shell if pkg-config --atleast-version=$(LIBREPFUNC_MINVERSION) $(LIBREPFUNC); then echo "1"; else echo "0"; fi )





DISTFILES = $(CPPSRC) $(wildcard *.h) $(wildcard *.dat) po
DISTFILES+= build COPYING HISTORY Makefile README SERVICES.html

### The version number of this plugin (taken from the main source file):
VERSION = $(shell grep 'const char\* WIRBELSCAN_VERSION *= ' wirbelscan.cpp | awk '{ print $$5 }' | sed -e 's/[";]//g')

### The directory environment:
# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)

#
TMPDIR ?= /tmp

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:
APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)

### The name of the distribution archive:
ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:
SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):
INCLUDES += $(shell pkg-config --cflags $(LIBREPFUNC))
DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
LDFLAGS += $(shell pkg-config --libs $(LIBREPFUNC)) 

### The main target:
all: check_dependencies $(SOFILE) i18n


#/******************************************************************************
# * color definitions, RST=reset, CY=cyan, MG=magenta, BL=blue, (..)
# *****************************************************************************/
RST=\e[0m
CY=\e[1;36m
MG=\e[1;35m
BL=\e[1;34m
YE=\e[1;33m
RD=\e[1;31m
GN=\e[1;32m




#/******************************************************************************
# * Implicit rules
# *****************************************************************************/

%.o: %.c
ifeq ($(CXX),@g++)
	@echo -e "${CY} CXX $@${RST}"
endif
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

%.o: %.cpp
ifeq ($(CXX),@g++)
	@echo -e "${BL} CXX $@${RST}"
endif
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<



### Dependencies:
MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(CPPSRC) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.cpp)
	@xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n check_dependencies
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
ifeq ($(CXX),@g++)
	@echo -e "${GN} LINK $(SOFILE)${RST}"
endif
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@ $(LDFLAGS)

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a $(DISTFILES) $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(SOFILE) $(SOFILE).$(APIVERSION)
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~


#/******************************************************************************
# * dependencies, check them here and provide message to user.
# *****************************************************************************/
check_dependencies:
ifeq ($(HAVE_LIBREPFUNC),0)
	@echo "ERROR: not found: $(LIBREPFUNC) >= $(LIBREPFUNC_MINVERSION)"
	exit 1
endif
ifeq ($(HAVE_LIBREPFUNC_MINVERSION),0)
	@echo "ERROR: dependency $(LIBREPFUNC) older than $(LIBREPFUNC_MINVERSION)"
	exit 1
endif

=== debian/changelog ===
w-scan-cpp (0~20230121-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no change needed)
  * New upstream version 0~20230121
  * d/copyright: update to match latest upstream
  * remove patches that were merged upstream
  * install CONTRIBUTORS file

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 30 Jan 2023 20:45:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                linux-libc-dev,
                pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
 Vcs-Git: https://salsa.debian.org/bastif/w-scan-cpp.git
 Vcs-Browser: https://salsa.debian.org/bastif/w-scan-cpp

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr DESTDIR=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

=== debian/watch ===
version=4
opts="repack, \
    oversionmangle=s/^/0~/, \
    dversionmangle=s/^0~//" \
https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html (?:.*/)?w_scan_cpp-([\d]+)@ARCHIVE_EXT@
opts="repack, \
    component=vdr, \
    oversionmangle=s/^/0~/, \
    dversionmangle=s/^0~//, \
    downloadurlmangle=s#$#?raw=true#" \
https://github.com/wirbel-at-vdr-portal/w_scan_cpp-third_party_packages (?:.*/)?third_party_([\d]+)@ARCHIVE_EXT@

## w-scan-cpp 0~20230604

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2023.01.21
+WIRBELSCAN_VERSION = wirbelscan-2023.06.04
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip

=== debian/changelog ===
w-scan-cpp (0~20230604-1) unstable; urgency=medium

  * remove 'LCN' patches, it is now supported upstream
  * d/control replace obsolete build-deps
  * New upstream version 0~20230604
  * d/patch/101-makefile_verbose: use CC & CXX from environment if available

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libjpeg-dev,
                libpugixml-dev,
                librepfunc-dev (>= 1.6.2~),

## w-scan-cpp 20231015%2Bdfsg

=== debian/changelog ===
w-scan-cpp (20231015+dfsg-2) unstable; urgency=medium

  * Fix broken 'd/watch' file and only use sources available from GitHub.
  * Remove '0~' prefix at beginning of package version.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 24 Jan 2024 17:05:05 +0000

w-scan-cpp (0~20231015+dfsg-1) unstable; urgency=medium

  * New maintainer (Closes: #1052444).
  * Disable verbose in 'd/rules'.
  * Changed VCS field data now repo has moved.
  * Remove non-DFSG sources 'doc/service_list.dtd' and 'doc/services.xml'.
  * Add upstream contact to 'd/copyright'.

  [ Fab Stz ]
  * New upstream version 0~20231015

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 16 Jan 2024 17:10:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -15,8 +15,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
-Vcs-Git: https://salsa.debian.org/bastif/w-scan-cpp.git
-Vcs-Browser: https://salsa.debian.org/bastif/w-scan-cpp
+Vcs-Git: https://salsa.debian.org/debian/w-scan-cpp.git
+Vcs-Browser: https://salsa.debian.org/debian/w-scan-cpp
 
 Package: w-scan-cpp
 Architecture: any

## w-scan-cpp 20231015+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2023.06.04
+WIRBELSCAN_VERSION = wirbelscan-2023.10.15
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip

=== PLUGINS/src/hello/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = hello

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	@echo MO $@
	$(Q)msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	@echo GT $@
	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	@echo PO $@
	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
w-scan-cpp (20231015+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:53 +1100

w-scan-cpp (20231015+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:07:14 +0000

w-scan-cpp (20231015+dfsg-3) unstable; urgency=medium

  * 'd/control':
    - Remove version requirement on 'librepfunc-dev' Build-Depends.
    - Update obsolete pkg-conf to pkgconf in Build-Depends.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 23 Feb 2024 07:26:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -9,9 +10,9 @@
                libfreetype-dev,
                libjpeg-dev,
                libpugixml-dev,
-               librepfunc-dev (>= 1.6.2~),
+               librepfunc-dev,
                linux-libc-dev,
-               pkg-config,
+               pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # You must remove unused comment lines for the released package.
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

=== debian/watch ===
version=4
opts="searchmode=plain, \
    repacksuffix=+dfsg, \
    repack, \
    dversionmangle=s/\+dfsg//, \
    filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
    https://api.github.com/repos/wirbel-at-vdr-portal/w_scan_cpp/tags?per_page=50 \
    https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@
opts="searchmode=plain, \
    component=vdr, \
    repacksuffix=+dfsg, \
    repack, \
    dversionmangle=s/\+dfsg//, \
    downloadurlmangle=s#$#?raw=true#" \
    https://github.com/wirbel-at-vdr-portal/w_scan_cpp-third_party_packages/blob/main/ (?:.*/)?third_party_@ANY_VERSION@

## w-scan-cpp 20250615+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # *****************************************************************************/
 BINARY = w_scan_cpp
 
-WIRBELSCAN_VERSION = wirbelscan-2023.10.15
+WIRBELSCAN_VERSION = wirbelscan-2024.09.15
 
 # original git repo seems to be stale.
 #SATIP_GIT_ADDR = https://github.com/rofafor/vdr-plugin-satip
@@ -33,7 +33,7 @@
 FONTCONFIG=fontconfig
 LIBPUGIXML=pugixml
 LIBREPFUNC=librepfunc
-LIBREPFUNC_MINVERSION=1.1.0
+LIBREPFUNC_MINVERSION=1.9.0
 
 # /* require either PKG_CONFIG_PATH to be set, or, a working pkg-config */
 HAVE_LIBJPEG              =$(shell if $(PKG_CONFIG) --exists                                   $(LIBJPEG);    then echo "1"; else echo "0"; fi )

=== PLUGINS/src/svdrpdemo/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 4.3 2020/06/22 15:08:46 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = svdrpdemo

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKG_CONFIG ?= pkg-config
PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### The main target:

all: $(SOFILE)

### Implicit rules:

%.o: %.c
	@echo CC $@
	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

$(SOFILE): $(OBJS)
	@echo LD $@
	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
w-scan-cpp (20250615+dfsg-1) unstable; urgency=medium

  * New upstream version 20250615+dfsg
  * Bump standrds version to 4.7.2 (no changes needed)

 -- Apostolos Kefalas <sv1ljj@raag.org>  Thu, 18 Sep 2025 14:31:44 +0300

w-scan-cpp (20231015+dfsg-4) unstable; urgency=medium

  * Adopt package. Thanks Phil! (Closes: #1072193)
  * Bump standards version to 4.7.0 (no changes needed)

 -- Apostolos Kefalas <sv1ljj@raag.org>  Wed, 12 Jun 2024 20:01:22 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: w-scan-cpp
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13),
                libcap-dev,
                libcurl4-openssl-dev,
@@ -14,7 +13,7 @@
                linux-libc-dev,
                pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://www.gen2vdr.de/wirbel/w_scan_cpp/index2.html
 Vcs-Git: https://salsa.debian.org/debian/w-scan-cpp.git
 Vcs-Browser: https://salsa.debian.org/debian/w-scan-cpp
